from sqlalchemy import Table, Column, Integer, String
from sqlalchemy.ext.declarative import declarative_base

from toardb.base import Base

# controlled vocabulary

# Role Status
RS_enum = Table("rs_vocabulary",
                Base.metadata,
                Column("enum_val", Integer, primary_key=True),
                Column("enum_str", String),
                Column("enum_display_str", String)
          )
 
# Role Codes
RC_enum = Table("rc_vocabulary",
                Base.metadata,
                Column("enum_val", Integer, primary_key=True),
                Column("enum_str", String),
                Column("enum_display_str", String)
          )

